extern struct device_type mda_root_node_type;
extern struct bus_type mda_bus_type;

int  mda_do_register_driver(struct mda_driver *mda_driver, struct module *owner, const char *mod_name);
void mda_unregister_driver(struct mda_driver *mda_driver);

void mda_set_drvdata(struct mda_device *mda_device, void * data);
void *mda_get_drvdata(struct mda_device *mda_device);

void mda_write32(struct mda_device *mda_device, uint32_t offset, uint32_t data);
void mda_write16(struct mda_device *mda_device, uint32_t offset, uint16_t data);
void mda_write8(struct mda_device *mda_device, uint32_t offset, uint8_t data);

uint32_t mda_read32(struct mda_device *mda_device, uint32_t offset);
uint16_t mda_read16(struct mda_device *mda_device, uint32_t offset);
uint8_t mda_read8(struct mda_device *mda_device, uint32_t offset);

uint64_t mda_gettime(void);

long  mda_ioctl_reglist(struct mda_device *mda_device, mda_io_buffer *user_io, int writeok);

int  mda_interrupt_register(struct mda_device *mda_device,
                                        uint32_t irq_register,
                                        uint32_t irq_mask,
                                        irqreturn_t (*irq_handler)(struct mda_device *, void *),
                                        void *);

int  mda_interrupt_unregister(struct mda_device *mda_device,
                                          uint32_t irq_register,
                                          uint32_t irq_mask);

int mda_dma_lock(struct mda_device *mda_device, struct mda_dma_buffer *dma_buffer);
void mda_dma_unlock(struct mda_device *mda_device, struct mda_dma_buffer *dma_buffer);
enum baseboard_type mda_get_baseboard_type(struct mda_device *mda_device);

