#define ASLSER_VERSION "3.2.0.0"
#define ASLSER_MAX_DEVICES 32
#define ASLSER_DEVICE_NAME "ttyCL"
#define ASLSER_DRIVER_NAME "aslser"

#define ASLSER_DEVICE_TYPE_UNKNOWN    0
#define ASLSER_DEVICE_TYPE_CAMERALINK 1
#define ASLSER_DEVICE_TYPE_CXPUART    2
#define ASLSER_DEVICE_TYPE_LOOPBACK   3

struct aslser_device {
   struct module        * owner;
   struct mda_device    * mdadev;
   struct mda_device_id   device_id;
   struct device        * device;
   struct uart_port       uart_port;
   uint32_t               shadow_serial_control;
   uint32_t               shadow_interrupt_control;
   uint32_t               shadow_baud_control;
   uint32_t               valid_data_mask;
   uint32_t               enable_frame_error;
   uint32_t               enable_parity_error;
   uint32_t               enable_break_error;
   uint32_t               enable_parity_checking;
   uint32_t               enable_rx;
   uint32_t               tx_char_flag_and_data;
};
#define	to_mda_ser(uart_port) container_of(uart_port, struct aslser_device, uart_port)
#define ASLSER_TX_IMMEDIATE_FLAG 0x80000000
#define ASLSER_TX_IMMEDIATE_CHAR(l) ((l) & 0x000000FF)
#define ASLSER_TX_IMMEDIATE_VALID(l) (((l) & ASLSER_TX_IMMEDIATE_FLAG) != 0)

extern struct uart_ops fbclser_ops;
