#ifndef _MDA_PCI_H_
#define _MDA_PCI_H_

#define FBD_XILINX_VENDOR_ID                0x10EE    /* Vendor ID    - Xilinx                     */
#define FBD_ALTERA_VENDOR_ID                0x1172    /* Vendor ID    - Altera                     */
#define PHX_S3_1PEX_DEVICE_ID               0x0300    /* Device ID    - Spartan3     PE1/PE4       */
#define FBD_V6_2PE8_DEVICE_ID               0x0600    /* Device ID    - Virtex6e     2PE8          */
#define FBD_A7_2PE4_DEVICE_ID               0x7024    /* Device ID    - Artix7       2PE4          */
#define FBD_KU_3PE4_DEVICE_ID               0x8034    /* Device ID    - Kintex Ultra 3PE4          */
#define FBD_KU_3PE8_DEVICE_ID               0x8038    /* Device ID    - Kintex Ultra 3PE8          */
#define FBD_SUBVENDOR_ID                    0x4153    /* SubVendor ID - "AS" (ie Active Silicon)   */
#define FBD_FUNCTION_NUMBER                 0x0000    /* Function number - only 1 function         */


#define PHD_SUBSYSTEM_GENERIC_ID            0x0001    /* A generic Phoenix !           */
#define PHD_SUBSYSTEM_DNC_PE1_ID            0x01FF    /* AS-PHX-DNC-PE1                */
#define PHD_SUBSYSTEM_DNC_PE4_ID            0x03FF    /* AS-PHX-DNC-PE4                */
#define PHD_SUBSYSTEM_D24CL_PCI32_ID        0x0080    /* AS-PHX-D24CL-PCI32            */
#define PHD_SUBSYSTEM_D24CL_PE1_ID          0x0180    /* AS-PHX-D24CL-PE1              */
#define PHD_SUBSYSTEM_D24CL_PE1_MIR_ID      0x0181    /* AS-PHX-D24CL-PE1_MIR          */
#define PHD_SUBSYSTEM_D24AVDS_PE1_ID        0x0120    /* AS-PHX-D24AVDS-PE1            */
#define PHD_SUBSYSTEM_D32_PCI32_ID          0x0048    /* AS-PHX-D32-PCI32              */
#define PHD_SUBSYSTEM_D36_PCI32_ID          0x0040    /* AS-PHX-D36-PCI32              */
#define PHD_SUBSYSTEM_D36_PCI64_ID          0x0070    /* AS-PHX-D36-PCI64              */
#define PHD_SUBSYSTEM_D36_PCI64U_ID         0x0050    /* AS-PHX-D36-PCI64U             */
#define PHD_SUBSYSTEM_D36_PE1_ID            0x0140    /* AS-PHX-D36-PE1                */
#define PHD_SUBSYSTEM_D36_PE4_ID            0x0340    /* AS-PHX-D36-PE4                */
#define PHD_SUBSYSTEM_D10HDSDI_PE1_ID       0x0110    /* AS-PHX-D10HDSDI-PE1           */
#define PHD_SUBSYSTEM_D10HDSDI_PE4_ID       0x0310    /* AS-PHX-D10HDSDI-PE4           */
#define PHD_SUBSYSTEM_D20HDSDI_PE1_ID       0x0150    /* AS-PHX-D20HDSDI-PE1           */
#define PHD_SUBSYSTEM_D20HDSDI_PE4_ID       0x0350    /* AS-PHX-D20HDSDI-PE4           */
#define PHD_SUBSYSTEM_D48CL_PCI32_ID        0x00C0    /* AS-PHX-D48CL-PCI32            */
#define PHD_SUBSYSTEM_D48CL_PCI64_ID        0x00F0    /* AS-PHX-D48CL-PCI64            */
#define PHD_SUBSYSTEM_D48CL_PCI64U_ID       0x00D0    /* AS-PHX-D48CL-PCI64U           */
#define PHD_SUBSYSTEM_D48CL85_PCI64U_ID     0x00D8    /* AS-PHX-D48CL85-PCI64U         */
#define PHD_SUBSYSTEM_D48CL_PE1_ID          0x01D0    /* AS-PHX-D48CL-PE1              */
#define PHD_SUBSYSTEM_D48CL_PE4_ID          0x03D0    /* AS-PHX-D48CL-PE4              */
#define PHD_SUBSYSTEM_D64CL_PE4_ID          0x03F0    /* AS-PHX-D64CL-PE4              */
#define PHD_SUBSYSTEM_D48CL85_PCI64_ID      0x00F8    /* AS-PHX-D48CL85-PCI64          */

#define FBD_SUBSYSTEM_FB01_ID               0xFB01    /* AS-FBD-1XCLD-2PE8             */
#define FBD_SUBSYSTEM_FB02_ID               0xFB02    /* AS-FBD-4XCXP-2PE8             */
#define FBD_SUBSYSTEM_FB03_ID               0xFB03    /* AS-FBD-2XCLD-2PE8             */
#define FBD_SUBSYSTEM_FB04_ID               0xFB04    /* AS-FBD-1XCLM-2PE8             */
#define FBD_SUBSYSTEM_FB05_ID               0xFB05    /* AS-FBD-2XCLM-2PE8             */
#define FBD_SUBSYSTEM_FB06_ID               0xFB06    /* AS-FBD-2XCXP-2PE8             */
#define FBD_SUBSYSTEM_FB07_ID               0xFB07    /* AS-FBD-1XCXP-2PE8             */
#define FBD_SUBSYSTEM_FB08_ID               0xFB08    /* AS-FBD-1XCLD-TTLA-2PE8        */
#define FBD_SUBSYSTEM_FB09_ID               0xFB09    /* AS-FBD-4XCXP6-TTLA-2PE8       */
#define FBD_SUBSYSTEM_FB0A_ID               0xFB0A    /* AS-FBD-1xCLM-TTLA-2PE8        */
#define FBD_SUBSYSTEM_FB0B_ID               0xFB0B    /* AS-FBD-1XCLD-2PE8-MIR         */
#define FBD_SUBSYSTEM_FB0C_ID               0xFB0C    /* AS-FBD-4XCXP6-2PE8-MIR        */
#define FBD_SUBSYSTEM_FB0D_ID               0xFB0D    /* AS-FBD-1xCLM-2PE8-MIR         */
#define FBD_SUBSYSTEM_FB0E_ID               0xFB0E    /* AS-FBD-1XCXPLR1-2PE8          */

#define FBD_SUBSYSTEM_FB0F_ID               0xFB0F    /* AS-FBD-1XCLD-2PE4 Issue 1 - Deprecated */
#define FBD_SUBSYSTEM_FB10_ID               0xFB10    /* AS-FBD-1XCLD-2PE4             */
#define FBD_SUBSYSTEM_FB11_ID               0xFB11    /* AS-FBD-1XCLD-2PE4-SW          */
#define FBD_SUBSYSTEM_FB12_ID               0xFB12    /* AS-FBD-1XCLD-2PE4L            */
#define FBD_SUBSYSTEM_FB13_ID               0xFB13    /* AS-FBD-1XCLD-3CPCIS-2PE4      */
#define FBD_SUBSYSTEM_FB14_ID               0xFB14    /* AS-FBD-1XCXP6-2PE8-MIR        */
#define FBD_SUBSYSTEM_FB15_ID               0xFB15    /* AS-FBD-4XCXP12-3PE4           */
#define FBD_SUBSYSTEM_FB16_ID               0xFB16    /* AS-FBD-1XCXP6-2PE4L           */
#define FBD_SUBSYSTEM_FB17_ID               0xFB17    /* AS-FBD-1XCXP6-2PE8-MIR-A      */
#define FBD_SUBSYSTEM_FB19_ID               0xFB19    /* AS-FBD-4XCXP12-3PE8           */

#endif /* _MDA_PCI_H_ */