#ifndef ASL_CXP_IOCTL_H
#define ASL_CXP_IOCTL_H

#include "mda_linux.h"

#define _MDACXP_IOCTL(_n)     _IOWR( MDACXP_TYPE, (MDACXP_FCMIN + (_n)), mda_io_buffer)

struct mda_cxp_params {
   uint32_t cxp_address;
};

/* param_buffer  -> sruct mda_cxp_params
 * input_buffer  -> NULL
 * output_buffer -> NULL
 */
#define MDACXP_IOCTL_RESET_DEVICE               _MDACXP_IOCTL( 0x00 )


/* param_buffer  -> sruct mda_cxp_params
 * input_buffer  -> NULL
 * output_buffer -> uint8_t
 */
#define MDACXP_IOCTL_CXP_READ                   _MDACXP_IOCTL( 0x01 )


/* param_buffer  -> sruct mda_cxp_params
 * input_buffer  -> uint8_t
 * output_buffer -> NULL
 */
#define MDACXP_IOCTL_CXP_WRITE                  _MDACXP_IOCTL( 0x02 )


/* param_buffer  -> NULL mda_cxp_params
 * input_buffer  -> NULL
 * output_buffer -> uint32_t
 */
#define MDACXP_IOCTL_CXP_GET_LAST_ERROR         _MDACXP_IOCTL( 0x03 )


/* param_buffer  -> NULL mda_cxp_params
 * input_buffer  -> NULL
 * output_buffer -> uint32_t
 */
#define MDACXP_IOCTL_CXP_GET_CHILD_DOS_NAME     _MDACXP_IOCTL( 0x04 )


/* param_buffer  -> uint32_t
 * input_buffer  -> NULL
 * output_buffer -> NULL
 */
#define MDACXP_IOCTL_CXP_SET_ACK_TIMEOUT            _MDACXP_IOCTL( 0x05 )

#endif
/* End of file */
