#ifndef MDAENUM_IOCTL_H
#define MDAENUM_IOCTL_H

#include "mda_linux.h"

#define _MDAENUM_IOCTL(_n)    _IOWR(MDAENUM_TYPE, (_n), mda_io_buffer)

/* input_buffer  = register_list in
 * output_buffer = register list out
 */
#define MDAENUM_IOCTL_REGLIST                _MDAENUM_IOCTL( 0x01 )


/* Write enable */
#define MDAENUM_IOCTL_WRITE_ENABLE           _MDAENUM_IOCTL( 0x02 )


/* Write disable (default condition) */
#define MDAENUM_IOCTL_WRITE_DISABLE          _MDAENUM_IOCTL( 0x03 )


/* param_buffer  = MDAENUM_DEVICE_NAME_REQUEST
 * output_buffer =  -> char[]
 */
#define MDAENUM_IOCTL_GET_CHILD_NAME         _MDAENUM_IOCTL( 0x04 )


/* input buffer = timeout value (ms) */
#define MDAENUM_IOCTL_SET_LOCK_TIMEOUT       _MDAENUM_IOCTL( 0x05 )


/* -> 1 to Load Children
 *    0 to Eject Children
 */
#define MDAENUM_IOCTL_MANAGE_CHILD_DEVICES   _MDAENUM_IOCTL( 0x06 )


#endif
